package models

type HappyOrchardSeed struct {
	Id               int    `json:"id" xorm:"not null pk autoincr comment('自增id') INT(11)"`
	Name             string `json:"name" xorm:"not null default '' comment('名称') VARCHAR(255)"`
	WaterNums        int    `json:"water_nums" xorm:"not null default 0 comment('所需水滴数') INT(11)"`
	SeedImgUrl       string `json:"seed_img_url" xorm:"not null default '' comment('种子图片地址') VARCHAR(255)"`
	SeedMatureImgUrl string `json:"seed_mature_img_url" xorm:"not null default '' comment('种子成熟后图片地址') VARCHAR(255)"`
	Sort             int    `json:"sort" xorm:"not null default 0 comment('排序') INT(11)"`
	CreateAt         string `json:"create_at" xorm:"not null default 'CURRENT_TIMESTAMP' comment('创建时间') DATETIME"`
	UpdateAt         string `json:"update_at" xorm:"not null default 'CURRENT_TIMESTAMP' comment('更新时间') DATETIME"`
}
